### Method

# ICalGLib Period get_duration

since: 1.0

#### Declaration [src]

    ICalDuration*
    i_cal_period_get_duration (
      ICalPeriod* period
    )

#### Description [src]

Gets the duration from an `ICalPeriod`.

Available since: 1.0

#### Return value

Type: `ICalDuration`

The duration of `period`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.